from django.db import models

# Create your models here.

class Location(models.Model):
    description = models.CharField(maxlength=200)

    class Admin:
        pass

    def __str__(self):
        return self.description
    

class Activity(models.Model):
    location = models.ForeignKey(Location)
    activity = models.IntegerField('activity percentage')
    timestamp = models.DateTimeField('activity timestamp')

    class Admin:
        pass
    
    def __str__(self):
        return "%s %d" % (str(self.timestamp), self.activity)
